Core - Task # 61574

Feature # 61471 (Resolved): Base EXT: t3skin on twbs less

Status: Resolved Priority: Should have
Author: Felix Kopp Category:

Created: 2014-09-14 Assigned To:

Updated: 2014-09-14 Due date:

TYPOS3 Version: 7.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Fix t3skin box-sizing CSS bugs

Description

Bootstrap and Foundation are based on the CSS box-sizing model "border-box".
Dimensions are set explicitly in a few places in t3skin.

Adapt the pixel dimensions or better: remove the explicit dimension constraints.
We might use this issue as an umbrella for few tasks.

Remember:
During ExtJS 4 migration we solved many bugs already

Related issues:
precedes Core - Bug # 32954: ExtJS CSS-Reset Closed

2014-09-15

2014-09-15

Associated revisions

Revision 447a29d3 - 2014-09-14 16:35 - Felix Kopp

[BUGFIX] Reset ExtJS 3 CSS box-model

We have box-models in CSS. They define how the dimensions of
elements are calculated. Modern CSS is based on the border-box
outline definition where the outer dimensions are defined and

not the inner dimensions.

Bootstrap, Foundation and ExtJS 4 use the modern box sizing
"border-box". This is the default now.

ExtJS 3 CSS is based on the "old" content-box definition. Since
CMS still uses ExtJS 3 we need to move ExtJS elements back into

the former box-sizing mode.

This patch sets box-sizing back to the previous content-box for
input fields. Most dimensions in other widgets and elements are
calculated with the help of JS and not based on CSS itself. Thus
x-form-field should be enought for the start.

Resolves: #61574
Related: #32954
Releases: master
Change-Id: lacbh9b0d3628940718ac5ba0099398320769f14ac
Reviewed-on: http://review.typo3.org/32760

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2014-09-14 15:39 - Felix Kopp
- Parent task set to #61471

#2 - 2014-09-14 16:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32760

#3 - 2014-09-14 16:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32760

#4 - 2014-09-14 16:35 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32760

#5 - 2014-09-14 17:00 - Felix Kopp
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:447a29d300219cbd975668c979e44cf8f61ab878.
